<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $ret=array('strings'=>$_POST,'error'=>'0');
    $fs=array(); 
    $files_path  = "./files/";//存放接收文件的目录：files   
    if (!file_exists($files_path)) {
        mkdir($files_path);//如果files目录不存在，则自动创建files目录
    }
    foreach ( $_FILES as $name=>$file ) { //枚举接收到的文件的名称
        $fn=$file['name'];
        $ft=strrpos($fn,'.',0);
        $fm=substr($fn,0,$ft);
        $fe=substr($fn,$ft);
        $fp='files/'.$fn;
        $fi=1;
        
        /*  当存在同名文件时，如果需要重命名，请删除本行
        while( file_exists($fp) ) {
            $fn=$fm.'['.$fi.']'.$fe;  //如果存在同名文件，就在文件名后面加上一个数字，进行重命名
            $fp='files/'.$fn;
            $fi++;
        }
        当存在同名文件时，如果需要重命名，请删除本行*/
        
        move_uploaded_file($file['tmp_name'],$fp); //将接收到的文件存到files目录里去
        $fs[$name]=array('name'=>$fn,'url'=>$fp,'type'=>$file['type'],'size'=>$file['size']);
    }
    $ret['files']=$fs;
    echo json_encode($ret); //输出相关信息给客户端
}else{
    echo "{'error':'Unsupport GET request!'}";
}
?>